Email

List configured email providers

GET
/api/email/accounts/providers/available

Reports which email providers the relay is capable of authorizing against - that is, which provider OAuth client IDs and secrets are configured on the backend. Frontends use this to show or hide "Connect Gmail" / "Connect Outlook" buttons. Always returns 200 even when no providers are configured.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://example.com/api/email/accounts/providers/available"
{  "gmail": true,  "outlook": false}